Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class DummyClassGenerator

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.classgen.ClassGenerator
                  org.codehaus.groovy.classgen.DummyClassGenerator

    class DummyClassGenerator
    extends ClassGenerator

To generate a class that has all the fields and methods, except that fields are not initilized and methods are empty. It's intended for being used as a place holder during code generation of reference to the "this" class itself.

author:
  James Strachan

author:
  Bing Ran

version:
  $Revision: 6778 $

Field Summary

Fields inherited from class ClassGenerator
classLoader, innerClasses

Constructor Summary
`DummyClassGenerator(GeneratorContext context, ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)`

Method Summary
`protected CompileUnit` | `getCompileUnit()`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitClass(ClassNode classNode)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode fieldNode)`
`void` | `visitMethod(MethodNode node)`
`protected void` | `visitParameter(ASTNode node, Parameter parameter)`
`protected void` | `visitParameters(ASTNode node, Parameter[] parameters)`
`void` | `visitProperty(PropertyNode statement)` Creates a getter, setter and field

Methods inherited from class ClassGenerator
getClassLoader, getInnerClasses, getSourceUnit, visitBytecodeSequence

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DummyClassGenerator

    public DummyClassGenerator(GeneratorContext context, ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)

Method Detail

### getCompileUnit

    protected CompileUnit getCompileUnit()

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

### visitClass

    public void visitClass(ClassNode classNode)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode fieldNode)

### visitMethod

    public void visitMethod(MethodNode node)

### visitParameter

    protected void visitParameter(ASTNode node, Parameter parameter)

### visitParameters

    protected void visitParameters(ASTNode node, Parameter[] parameters)

### visitProperty

    public void visitProperty(PropertyNode statement)

  Creates a getter, setter and field

Copyright © 2003-2009 The Codehaus. All rights reserved.